[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBCustomNavigator.Buttons

The list of Buttons included in the navigator tool.

## Declaration

Source position: dbctrls.pp line 1395

`protected TDBCustomNavigator.Buttons : array [TDBNavButtonType] of TDBNavButton;`

## Description

Buttons is a member which contains an array of TDBNavButton instances available in the control. Values in Buttons are accessed using an TDBNavButtonType index value. TDBNavButton elements in the array are created and destroyed to reflect the current state of the linked dataset in the DataSource property. The elements in the array are updated in the DataChanged, EditingChanged, and ActiveChange methods to use the Enabled and Visible settings needed for the dataset state.

Use FocusableButtons to access the Buttons which can be focused in the control.

Use VisibleButtons to specify the Buttons which can be displayed on the control.